debug : Debug/libOdemXD.a

include buildTools.make includePath.make
include library.make

CXXFLAGS=-g3 -Wall -Wno-sign-compare
#-pg

Debug/%.o : %.cpp
	@echo Compile $< to target $@
	@$(CXX) -c $(CXXFLAGS) $(INCLUDEPATHS) -o $@ $< 2>>error.log || cat error.log

Debug/libOdemXD.a : $(DEBUG_OBJECTS)
	@if test -f error.log -a ! -s error.log; then rm error.log; fi
	@if test -f error.log;\
	then echo; echo There where errors during build process:; echo;\
	cat error.log;\
	echo; echo see error.log for detail; echo;\
	else echo Building archive; ar rs $@ $(DEBUG_OBJECTS);\
	fi

